2019-08-26 17:22 AEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000011mercuryBugpublic2007-10-22 15:18
Reporteranonymous 
Assigned Tojuliensf 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Version 
Summary0000011: instance declarations for unknown types accepted in interface
DescriptionThe compiler accepts instance declarations in the interface of a module on types which don't appear in the interface, if the type is later defined in the module.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0000006

juliensf (administrator)

Yes, it's a bug. I'm not sure how serious this is since all instance
declarations are in some sense global anyway. Still, it would be nice
to make it report something here.

~0000039

juliensf (administrator)

Fixed. See log message of r1.115 of compiler/check_typeclass.m for details.
+Notes

-Issue History
Date Modified Username Field Change
2007-09-28 13:14 anonymous New Issue
2007-09-28 13:14 anonymous File Added: instance_no_type.m
2007-09-28 14:06 juliensf Note Added: 0000006
2007-09-28 14:22 juliensf Assigned To => juliensf
2007-09-28 14:22 juliensf Status new => assigned
2007-10-22 15:18 juliensf Status assigned => resolved
2007-10-22 15:18 juliensf Resolution open => fixed
2007-10-22 15:18 juliensf Note Added: 0000039
+Issue History